# The php_user_filter class

(PHP 5, PHP 7)

## Introduction

Children of this class are passed to stream_filter_register().

## Class synopsis

php_user_filter {
/* Properties */
public $filtername ;
public $params ;
/* Methods */
public filter ( resource `$in` , resource `$out` , int `&$consumed` , bool `$closing` ) : int
public onClose ( void ) : void
public onCreate ( void ) : bool
}

## Properties

filtername

  Name of the filter registered by stream_filter_append().

params

## Table of Contents

- php_user_filter::filter — Called when applying the filter
- php_user_filter::onClose — Called when closing the filter
- php_user_filter::onCreate — Called when creating the filter